<ion-split-pane
  contentId="menu-content"
  when="sm"
>
  <ion-menu
    contentId="menu-content"
    menuId="main-menu"
    [disabled]="true"
  >
    <ion-header>
      <ion-toolbar color="primary">
        <ion-title>Menu</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content>
      <!-- <ion-list> -->
        <div *ngFor="let p of pages">
          <ion-menu-toggle
            auto-hide="false"
            *ngIf="p.children==undefined || p.children.length==0"
          >
            <ion-item
              [routerDirection]="p.direction"
              [routerLink]="[p.url]"
            >
              <ion-avatar slot="start">
                <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
              </ion-avatar>
              <ion-icon
                slot="end"
                [name]="p.icone"
              ></ion-icon>
              <ion-label>{{ p.texto }}</ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-item
            Button
            *ngIf="p.children?.length > 0"
            (click)="p.open = !p.open"
            [class.parent-active]="p.open"
            detail="false"
          >
            <ion-avatar slot="start">
              <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
            </ion-avatar>
            <ion-icon
              slot="end"
              name="arrow-forward"
              *ngIf="!p.open"
            ></ion-icon>
            <ion-icon
              slot="end"
              name="arrow-down"
              *ngIf="p.open"
            ></ion-icon>
            <ion-label>{{ p.texto }}</ion-label>
          </ion-item>

          <ion-menu-toggle
            auto-hide="false"
            *ngIf="p.open"
          >
            <ion-list *ngIf="p.open">
              <ion-item
                *ngFor="let sub of p.children"
                class="sub-item"
                [routerLink]="sub.url"
                [routerDirection]="p.direction"
                routerLinkActive="active"
              >
                <ion-avatar slot="start">
                  <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
                </ion-avatar>
                <ion-icon
                  [name]="sub.icone"
                  slot="end"
                ></ion-icon>
                <ion-label>{{ sub.texto }}</ion-label>
              </ion-item>
            </ion-list>
          </ion-menu-toggle>
        </div>
      <!-- </ion-list> -->
    </ion-content>

    <!-- <ion-content>
      <ion-list>
        <ion-list-header *ngIf="user">
          <ion-label>{{user.displayName}}</ion-label>
        </ion-list-header>
        <ion-menu-toggle autoHide="false">
          <ion-item
            Button
            *ngFor="let page of pages"
            [routerLink]="page.url"
            [routerDirection]="page.direction"
          >
            <ion-icon
              slot="start"
              [name]="page.icone"
            ></ion-icon>
            <ion-label>{{page.texto}}</ion-label>
          </ion-item>
        </ion-menu-toggle>
      </ion-list>
    </ion-content> -->
  </ion-menu>
  <ion-router-outlet id="menu-content"></ion-router-outlet>
</ion-split-pane>
